<p-tabView  (onChange)="onTabChange()">
  <p-tabPanel header="Offensive">
    <app-stats  [type]="StatsType.OFFENSIVE"></app-stats>
  </p-tabPanel>
  <p-tabPanel header="Defensive">
    <app-stats *ngIf="tabChanged" [type]="StatsType.DEFENSIVE"></app-stats>
  </p-tabPanel>
</p-tabView>
